<?php
/**
 * Comment Data
 *
 * @package     ProjectHuddle
 * @copyright   Copyright (c) 2015, Andre Gagnon
 * @since       2.6.0
 */

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) { exit; }

/**
 * Website Comment Class
 *
 * This class handles all comment data
 *
 * @since 2.6.0
 */
class PH_Website_Comment extends PH_REST_Comments_Controller {
	/**
	 * PH_Website_Comment_New constructor.
	 *
	 * @param array $args
	 */
	public function __construct( array $args = array() ) {
		// parent constructor
		parent::__construct( $args );

		// set rest base
		$this->rest_base = 'comment';

		// set comment type
		$this->comment_type = 'ph_comment';

		// set parent post type
		$this->parent_post_type = 'phw_comment_loc';

		// register this comment route on construct
		add_action( 'rest_api_init', array( $this, 'register_routes' ) );
	}
}

