<?php
/**
 * Handles postMessage events and runs ajax to communicate with server
 *
 * @since 1.2.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;
?>
<head>
	<?php
	// get project ID
	$project_id = $wp->query_vars['ph_handler'];

	// get website url
	$url = get_post_meta( (int) $project_id, 'ph_website_url', true );

	if ( ! $url ) {
		$url = get_site_url();
	}

	// get components
	$url = parse_url( $url );

	// do port
	$port = isset($url['port']) ? ':' . $url['port'] : '';

	// get origin
	if ( $project_id == get_option( 'ph_site_post' ) ) {
		$url['scheme'] = is_ssl() ? 'https' : 'http';
	}

	// allow ssl and non ssl urls
	$url_ssl = 'https://' . $url['host'] . $port;
	$url = 'http://' . $url['host'] . $port;

	$debug = ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? 'debug="true"' : false;
	?>

    <script type="text/javascript" <?php echo $debug; ?> src="<?php echo esc_url( PH_WEBSITE_PLUGIN_URL . 'assets/js/includes/xdomain.min.js?ver=1.7' ); ?>"></script>
    <script>
		xdomain.masters({
            '<?php echo esc_url( $url ); ?>'    : '*',
			'<?php echo esc_url( $url_ssl ); ?>': '*'
		});
    </script>
</head>