<?php
/**
 * Settings for Website Commenting
 */

/**
 * Add approval settings to settings menu
 *
 * @param $settings
 *
 * @return mixed
 *
 * @since 1.1.1
 */
function ph_website_settings( $settings ) {

	$websites = apply_filters( 'ph_settings_website', array(
		'title'  => __( 'Websites', 'project-huddle' ),
		'fields' => array(
			'website_control_logo' => array(
				'id'          => 'website_control_logo',
				'label'       => __( 'Comments Panel Logo', 'project-huddle' ),
				'description' => __( 'Logo seen in the comments panel. This will typically be smaller to fit in the top bar. This displays on a dark background.', 'project-huddle' ),
				'type'        => 'image',
				'default'     => '',
				'placeholder' => ''
			),
			'website_control_logo_retina' => array(
				'id'          => 'website_control_logo_retina',
				'label'       => __( 'Retina Control Logo', 'project-huddle' ),
				'description' => __( 'This will display your logo at half it\'s size.', 'project-huddle' ),
				'type'        => 'checkbox',
				'default'     => '',
			),
			'disable_self' => array(
				'id'          => 'disable_self',
				'label'       => __( 'Disable Feedback On This Site', 'project-huddle' ),
				'description' => __( 'Check to disable feedback on this site.', 'project-huddle' ),
				'type'        => 'checkbox',
				'default'     => 0
			),
			'help_link' => array(
				'id'          => 'help_link',
				'label'       => __( 'Help Link', 'project-huddle' ),
				'description' => __( 'Link when help icon is clicked. I.E. mailto:you@youremail.com or a custom page.', 'project-huddle' ),
				'type'        => 'text',
				'default'     => '',
			)
		)
	) );

	// right after mockups
	$i = array_search('mockups', array_keys($settings));
	$settings = array_slice($settings, 0, $i + 1, true) +
	            array('website' => $websites) +
	            array_slice($settings, $i + 1, NULL, true);

	return $settings;
}
add_filter( 'project_huddle_settings_fields', 'ph_website_settings' );