<?php
/**
 * Custom Styles from Options
 *
 * @package     ProjectHuddle
 * @copyright   Copyright (c) 2015, Andre Gagnon
 * @since       1.0.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

function ph_website_style_options() {

	ob_start();

	do_action( 'ph_website_style_options_output' ); ?>

    .project-huddle-toolbar button .ph-comment-count,
    .project-huddle-toolbar button,
    .ph-button, .vex-dialog-button, .button-primary, input[type="submit"],
    .ph-panel .ph-list-item .ph-comment-count.has-comments,
    .ph-panel .ph-list-item .ph-comment-number,
    .ph-panel .ph-list-item .ph-page-comment-count,
    .ph-assign-options .ph-single-user-option.ph-assigned-selection,
    .ph-assign-options .ph-single-user-option.ph-assigned-selection:hover,
    .ph-panel .ph-list-item .ph-approval-progress-bar .ph-approval-progress {
        background: <?php echo esc_html( get_option( 'ph_highlight_color', '#4353ff' ) ); ?>;
        color: #fff;
    }
    .ph-panel .ph-list-item .ph-comment-count.has-comments:after,
    .ph-panel .ph-list-item .ph-page-comment-count:after {
        border-color: transparent <?php echo esc_html( get_option( 'ph_highlight_color', '#4353ff' ) ); ?>;
    }
    .ph-badge, a.ph-badge {
	    <?php ph_badge_css( get_option( 'ph_highlight_color', '#4353ff' ) ); ?>
    }
    .ph-comment .ph-comment-inner .ph-comment-header .ph-resolve i,
    .ph-panel .ph-list-item .ph-comment-count:before,
    .ph-comment-wrapper .ph-comment-header .ph-resolve i,
    .ph-panel .ph-list-item .ph-comment-item-content a,
    .ph-panel .ph-list-item .ph-comment-item-content a:visited {
        color: <?php echo esc_html( get_option( 'ph_highlight_color', '#4353ff' ) ); ?>;
    }
<?php

	$out = ob_get_contents();

	ob_end_clean();

	return $out;
}

function ph_parent_website_style_options() {

	ob_start();

	do_action( 'ph_website_style_options_output' ); ?>
    .ph-comment-container .ph-annotation-dot {
        background: <?php echo get_option( 'ph_highlight_color', '#4353ff' ); ?> !important;
    }
	<?php

	$out = ob_get_contents();

	ob_end_clean();

	return str_replace(array("\r\n","\n\r","\n","\r"),null,$out);
}