<?php
/**
 * The Template for displaying the website admin container
 *
 * This template can be overridden by copying it to yourtheme/project-huddle/admin/website/website-container.tmpl.php.
 *
 * HOWEVER, on occasion ProjectHuddle will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.projecthuddle.io/article/15-overriding-templates-via-a-theme
 * @author 		Projecthuddle
 * @package 	ProjectHuddle/Templates
 * @version     3.0.0
 */
?>

<script type="text/template" id="tmpl-website-container">
	<div class="comment-switcher-dropdown-container"></div>
	<div class="ph-view-website-link">
		<a href="{{{ data.link }}}">View Website <i class="ion-arrow-right-c"></i></a>
	</div>
	<div class="ph-webpages">
		<p class="ph-placeholder ph-webpage-placeholder"><?php esc_html_e( 'No comments!', 'project-huddle' ); ?></p>
	</div>
</script>

<script>
  jQuery(document).ready(function () {
    ph.api.start(<?php echo wp_json_encode( $project_data ); ?>);
  });
</script>
