<?php
/**
 * The Template for displaying the website thread assign dropdown individual item
 *
 * This template can be overridden by copying it to yourtheme/project-huddle/admin/website/website-thread-assign-option.tmpl.php.
 *
 * HOWEVER, on occasion ProjectHuddle will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.projecthuddle.io/article/15-overriding-templates-via-a-theme
 * @author 		Projecthuddle
 * @package 	ProjectHuddle/Templates
 * @version     3.0.0
 */
?>
<script type="text/html" id="tmpl-ph-assign-dropdown-option">
	<div class="ph-single-user-option<# if (data.assigned) { #> ph-assigned-selection<# } #>">
		<span class="ph-avatar">
			<# if ( typeof data.avatar_urls === 'object' &&  typeof data.avatar_urls[96] !== 'undefined' ) { #>
				<img src="{{{ data.avatar_urls[96] }}}" class="avatar" />
			<# } #>
		</span>
		<span class="ph-display-name">{{ data.name }}</span>
		<# if (data.assigned) { #>
		<i class="ph-icon-close ph-close">
			<svg viewBox="0 0 512 512" id="ion-close" width="10" height="10"><path d="M443.6 387.1L312.4 255.4l131.5-130c5.4-5.4 5.4-14.2 0-19.6l-37.4-37.6c-2.6-2.6-6.1-4-9.8-4-3.7 0-7.2 1.5-9.8 4L256 197.8 124.9 68.3c-2.6-2.6-6.1-4-9.8-4-3.7 0-7.2 1.5-9.8 4L68 105.9c-5.4 5.4-5.4 14.2 0 19.6l131.5 130L68.4 387.1c-2.6 2.6-4.1 6.1-4.1 9.8 0 3.7 1.4 7.2 4.1 9.8l37.4 37.6c2.7 2.7 6.2 4.1 9.8 4.1 3.5 0 7.1-1.3 9.8-4.1L256 313.1l130.7 131.1c2.7 2.7 6.2 4.1 9.8 4.1 3.5 0 7.1-1.3 9.8-4.1l37.4-37.6c2.6-2.6 4.1-6.1 4.1-9.8-.1-3.6-1.6-7.1-4.2-9.7z"></path></svg>
		</i>
		<# } #>
	</div>
</script>