<?php
/**
 * The Template for displaying the website thread assign dropdown
 *
 * This template can be overridden by copying it to yourtheme/project-huddle/admin/website/website-thread-assign.tmpl.php.
 *
 * HOWEVER, on occasion ProjectHuddle will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.projecthuddle.io/article/15-overriding-templates-via-a-theme
 * @author 		Projecthuddle
 * @package 	ProjectHuddle/Templates
 * @version     3.0.0
 */
?>

<!-- assign dropdown -->
<script type="text/html" id="tmpl-assign">
	<# if ( data.assigned_model.get('id') ) {  #>
	<div class="ph-tooltip-wrap bottom ph-assigned ph-show-info">
		<# if ( data.assigned_model.get('avatar_urls') ) { #>
		<img src="{{{ data.assigned_model.get('avatar_urls')[96] }}}" class="avatar" />
		<# } else { #>
		<div class="ph-assign-user ph-unassigned">
			<i class="ph-icon-plus">
				<svg viewBox="0 0 512 512" id="ion-plus" width="8" height="8">
					<path d="M448 224H288V64h-64v160H64v64h160v160h64V288h160z"></path>
				</svg>
			</i>
		</div>
		<# } #>
        <div class="ph-tooltip">
            <span class="ph-subtle"><?php _e( 'Assigned to', 'project-huddle' ); ?></span><br>{{ data.assigned_model.get('name') }}
        </div>
        <span class="ph-assigned-name">
            {{ data.assigned_model.get('name') }}
        </span>
		<i class="ph-icon-chevron-down">
			<svg viewBox="0 0 512 512" id="ion-chevron-down" width="8" height="8"><path d="M256 298.3l174.2-167.2c4.3-4.2 11.4-4.1 15.8.2l30.6 29.9c4.4 4.3 4.5 11.3.2 15.5L264.1 380.9c-2.2 2.2-5.2 3.2-8.1 3-3 .1-5.9-.9-8.1-3L35.2 176.7c-4.3-4.2-4.2-11.2.2-15.5L66 131.3c4.4-4.3 11.5-4.4 15.8-.2L256 298.3z"></path></svg>
		</i>
	</div>
	<# } else { #>
	<div class="ph-tooltip-wrap bottom">
		<div class="ph-assign-user ph-unassigned">
			<i class="ph-icon-plus">
				<svg viewBox="0 0 512 512" id="ion-plus" width="8" height="8"><path d="M448 224H288V64h-64v160H64v64h160v160h64V288h160z"></path></svg>					</i>
		</div><i class="ph-icon-chevron-down">
			<svg viewBox="0 0 512 512" id="ion-chevron-down" width="8" height="8"><path d="M256 298.3l174.2-167.2c4.3-4.2 11.4-4.1 15.8.2l30.6 29.9c4.4 4.3 4.5 11.3.2 15.5L264.1 380.9c-2.2 2.2-5.2 3.2-8.1 3-3 .1-5.9-.9-8.1-3L35.2 176.7c-4.3-4.2-4.2-11.2.2-15.5L66 131.3c4.4-4.3 11.5-4.4 15.8-.2L256 298.3z"></path></svg>
		</i>
		<div class="ph-tooltip">
			<?php _e( 'Assign Someone', 'project-huddle' ); ?>
		</div>
	</div>
	<# } #>
	<div class="ph-assign-options"></div>
</script>
<!-- assign dropdown -->