<?php
/**
 * The Template for displaying the website thread controls
 *
 * This template can be overridden by copying it to yourtheme/project-huddle/admin/website/website-thread-controls.tmpl.php.
 *
 * HOWEVER, on occasion ProjectHuddle will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.projecthuddle.io/article/15-overriding-templates-via-a-theme
 * @author 		Projecthuddle
 * @package 	ProjectHuddle/Templates
 * @version     3.0.0
 */
?>

<script type="text/template" id="tmpl-ph-thread-controls">
    <div class="ph-thread-assignment"></div>
	<div class="ph-tooltip-wrap ph-control ph-show-info ph-comment-count-icon">
		<i class="ion-chatbox"></i>
		<span class="ph-comment-count">{{ data.comments_count - 1 }}</span>
		<div class="ph-tooltip">
			{{ data.comments_count - 1 }} <?php esc_html_e( 'Comments', 'project-huddle' ); ?>
		</div>
	</div>
	<a href="{{{ data.link }}}"  target="_blank" class="ph-tooltip-wrap ph-control">
		<i class="ion-location"></i>
		<span class="ph-tooltip">View Location <i class="ion-android-open"></i></span>
	</a>
	<div class="ph-tooltip-wrap ph-show-info ph-more-toggle ph-control">
		<div class="ion-android-more-vertical"></div>
		<div class="ph-tooltip">
			<?php esc_html_e( 'Details & Replies', 'project-huddle' ); ?>
		</div>
	</div>
</script>