<?php
/**
 * The Template for displaying the website comment avatar
 *
 * This template can be overridden by copying it to yourtheme/project-huddle/admin/website/website-thread-filter.tmpl.php.
 *
 * HOWEVER, on occasion ProjectHuddle will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.projecthuddle.io/article/15-overriding-templates-via-a-theme
 * @author 		Projecthuddle
 * @package 	ProjectHuddle/Templates
 * @version     3.0.0
 */
?>

<script type="text/template" id="tmpl-comment-filter">
	<h4 class="comment-switcher-dropdown">
		<# if (data.filter == 'unassigned') { #>
		<?php esc_html_e( 'Unassigned', 'project-huddle' ); ?>
		<# } else if ( data.filter == 'mine' ) { #>
		<?php esc_html_e( 'Assigned To Me', 'project-huddle' ); ?>
		<# } else { #>
		<?php esc_html_e( 'All Comments', 'project-huddle' ); ?>
		<# } #><i class="ion-chevron-down"></i></h4>
	<div class="comment-switcher-menu-wrap">
		<ul class="comment-switcher-menu">
			<li class="ph-show-all-comments <# if (data.filter== 'all') { print('active'); } #>"><?php esc_html_e( 'All Comments', 'project-huddle' ); ?></li>
			<li class="ph-show-my-comments <# if (data.filter== 'mine') { print('active'); } #>"><?php esc_html_e( 'Assigned To Me', 'project-huddle' ); ?></li>
			<li class="ph-show-unassigned-comments <# if (data.filter== 'unassigned') { print('active'); } #>"><?php esc_html_e( 'Unassigned', 'project-huddle' ); ?></li>
		</ul>
	</div>
</script>
