<?php
/**
 * The Template for displaying the website thread info panel
 *
 * This template can be overridden by copying it to yourtheme/project-huddle/website-thread-info-panel.tmpl.php.
 *
 * HOWEVER, on occasion ProjectHuddle will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.projecthuddle.io/article/15-overriding-templates-via-a-theme
 * @author 		Projecthuddle
 * @package 	ProjectHuddle/Templates
 * @version     3.0.0
 */
?>

<!-- Website -->
<script type="text/template" id="tmpl-thread-info-panel">
	<div class="info-panel-details">
		<div class="detail detail-location">
			<span class="detail-title">
				<?php esc_html_e( 'Location', 'project-huddle' ); ?>
			</span>
			<span class="detail-value">
				<a href="{{{ data.link }}}">
					<i class="ion-location"></i>
					{{ data.page_url }}
				</a>
			</span>
		</div>
		<div class="detail detail-assigned">
			<span class="detail-title">
				<?php esc_html_e( 'Assigned', 'project-huddle' ); ?>
			</span>

			<span class="detail-value select-users"></span>
		</div>

		<# if (data.browser) { #>
		<div class="detail detail-browser">
				<span class="detail-title">
					<?php esc_html_e( 'Browser', 'project-huddle' ); ?>
				</span>
			<span class="detail-value">
					{{ data.browser }} {{ data.browserVersion }}
				</span>
		</div>
		<# } #>

		<div class="detail detail-browser-size">
			<span class="detail-title">
				<?php esc_html_e( 'Browser Size', 'project-huddle' ); ?>
			</span>
			<span class="detail-value">
				{{ data.resX }} x {{ data.resY }}
			</span>
		</div>

		<# if (data.browserOS) { #>
		<div class="detail detail-browser-os">
				<span class="detail-title">
					<?php esc_html_e( 'OS', 'project-huddle' ); ?>
				</span>
			<span class="detail-value">
					{{ data.browserOS }}
				</span>
		</div>
		<# } #>

		<div class="detail detail-share-link">
			<span class="detail-title">
				<?php esc_html_e( 'Share Link', 'project-huddle' ); ?>
			</span>
			<span class="detail-value">
				<a href="{{{ data.link }}}" onClick="prompt('<?php esc_html_e( 'Copy this shareable link:', 'project-huddle' ); ?>', '{{{ data.link }}}'); return false;">
					<i class="ion-android-clipboard"></i>
					<?php esc_html_e( 'Copy', 'project-huddle' ); ?>
				</a>
			</span>
		</div>

		<a href="#" class="ph-tooltip-wrap ph-trash-thread">
			<i class="ion-trash-a"></i>
			<?php esc_html_e( 'Trash', 'project-huddle' ); ?>
		</a>
	</div>
	<div class="info-panel-comments">
		<div class="info-panel-header">
			<h4>
				<?php esc_html_e( 'Comments', 'project-huddle' ); ?>
			</h4>
		</div>
		<div class="ph-more-loading ph-loading-image light"><div class="ph-loading-image-dots light"></div></div>
		<div class="info-panel-comments-list">
			<# if (!data.comment_count) { #>
			<span class="ph-placeholder">
					<?php esc_html_e( 'No replies yet!', 'project-huddle' ); ?>
				</span>
			<# } #>
		</div>
		<div class="info-panel-controls">
			<div class="info-form"></div>
			<div class="info-actions"></div>
			<div class="info-button"></div>
		</div>
	</div>
</script>
