<?php
/**
 * Redirects to actual website comment on single page view
 *
 * Sets a cookie
 */
global $post;

// use a session
PH()->session->set( 'ph_comment_id', (int) $post->ID );

// get page url from thread
$thread       = PHW()->thread->get_item( $post->ID );
$website_page = PHW()->page->get_item( $thread['parent_id'] );
$website      = PHW()->website->get_item( $website_page['parent_id'] );

$web_page_parsed         = parse_url( $website_page['page_url'] );
$web_host                = parse_url( $website['website_url'], PHP_URL_HOST );
$web_page_parsed['host'] = $web_host;
$url                     = ph_unparse_url( $web_page_parsed );

// allow filtering
$url = apply_filters( 'ph_comment_thread_url', $url );

// make sure we have a website url
if ( $website_page['page_url'] ) {
	$access = ph_user_validate_access($website['id']);

	if ( is_wp_error( $access ) ) {
		if ( $access->get_error_code() == 'not_logged_in' || $access->get_error_code() == 'token_incorrect_missing' ) {
			ph_get_template_part( 'content', 'login' );
			exit;
		} else {
			wp_die( $access->get_error_message() );
		}
	}

	if ( $access ) {
		header("X-Robots-Tag: noindex, nofollow", true);
		wp_redirect( esc_url( $url ) );
	}
} else {
	?>
    <html>
    <head>
        <!-- make sure it's not indexed -->
        <meta name="robots" content="noindex, nofollow">
    </head>
    <body>
	<?php _e( 'Website URL is incorrect or not set.', 'project-huddle' ); ?>
    </body>
    </html>
<?php } ?>