<?php
/**
 * Redirects to actual website comment on single page view
 *
 * Sets a cookie
 */
global $post;

// get page url from thread
$website_page = PHW()->page->get_item( $post->ID );
$website      = PHW()->website->get_item( $website_page['parent_id'] );

// get website ID
if ( $website_page['page_url'] ) {
	$access = ph_user_validate_access( $website['id'] );

	if ( is_wp_error( $access ) ) {
		if ( 'not_logged_in' === $access->get_error_code() || 'token_incorrect_missing' === $access->get_error_code() ) {
			ph_get_template_part( 'content', 'login' );
			exit;
		} else {
			wp_die( $access->get_error_message() );
		}
	}

	if ( $access ) {
		header("X-Robots-Tag: noindex, nofollow", true);
		wp_redirect( esc_url( $website_page['page_url'] ) );
	}
} else {
	?>
    <html>
    <head>
        <!-- make sure it's not indexed -->
        <meta name="robots" content="noindex, nofollow">
    </head>
    <body>
    </body>
    </html>
<?php } ?>