<?php
/**
 * Redirects to actual website on Single Website page view
 */

// make sure we have a website url
if ( $website = get_post_meta( get_the_ID(), 'ph_website_url', true ) ) {
	$access = ph_user_validate_access();

	if ( is_wp_error( $access ) ) {
		if ( 'not_logged_in' === $access->get_error_code() || 'token_incorrect_missing' === $access->get_error_code() ) {
		    ph_get_template_part( 'content', 'login' );
		    exit;
        } else {
		    wp_die( $access->get_error_message() );
        }
	}

	if ( $access ) {
		header("X-Robots-Tag: noindex, nofollow", true);
		wp_redirect( esc_url( $website ) );
	}
} else {
	?>
    <html>
    <head>
        <!-- make sure it's not indexed -->
        <meta name="robots" content="noindex, nofollow">
    </head>
    <body>
	<?php _e( 'Website URL is incorrect or not set.', 'project-huddle' ); ?>
    </body>
    </html>
<?php } ?>