// project paths are set in package.json
const paths = require("./package.json").paths;

// gulp packages
var gulp         = require('gulp');
var sass         = require('gulp-sass');
var sourcemaps   = require('gulp-sourcemaps');
var autoprefixer = require('gulp-autoprefixer');
var cleanCSS     = require('gulp-clean-css');
var rename       = require('gulp-rename');

// autoprefixer variables
var autoprefixerOptions = {
	browsers: ['last 2 versions', '> 5%', 'Firefox ESR']
};

// sass options
var sassOptions = {
	errLogToConsole: true,
	outputStyle    : 'expanded'
};

// tasks
gulp.task('sass', function () {
	return gulp
		.src(paths.src.css)
		.pipe(sourcemaps.init())
		.pipe(sass(sassOptions).on('error', sass.logError))
		.pipe(sourcemaps.write())
		.pipe(autoprefixer(autoprefixerOptions))
		.pipe(gulp.dest(paths.dist.css))
		.pipe(cleanCSS())
		.pipe(rename({
			suffix: ".min"
		}))
		.pipe(gulp.dest(paths.dist.css));
});