<?php
// include library class
include 'library/wp-setup-wizard.php';

// configuration
class PH_Setup_Wizard {
	public function __construct() {
		new WPSW_Admin_Setup_Wizard( array(
			'type'        => 'plugin',
			'name'        => 'ProjectHuddle',
			'logo_url'    => PH_PLUGIN_URL . 'assets/img/project-huddle-logo-dark.svg',
			'site_url'    => 'http://projecthuddle.io',
			'notice_text' => __( '<strong>Welcome to ProjectHuddle</strong> &#8211; You&lsquo;re almost ready to start collaborating :)', 'project-huddle' ),
			'steps' => array(
				'brand_setup' => array(
					'name'      => 'Brand Setup',
					'fields'    => array(
						'intro_divider' => array(
							'label' => __( 'This wizard will help you configure ProjectHuddle and get running quickly!', 'project-huddle' ),
							'type'  => 'divider',
						),
						'highlight_color' => array(
							'label'       => __( 'Highlight Color', 'project-huddle' ),
							'description' => __( 'Choose a highlight color to match your brand.', 'project-huddle' ),
							'type'        => 'color',
							'default'     => '#4353ff'
						),
						'control_divider' => array(
							'type'        => 'divider',
						),
						'login_logo' => array(
							'label'       => __( 'Light Logo', 'project-huddle' ),
							'description' => __( 'Logo used for login forms and at the top of emails.', 'project-huddle' ),
							'type'        => 'image',
							'default'     => '',
							'placeholder' => ''
						),
						'login_logo_retina' => array(
							'description' => __( 'This is a Retina (2x) Logo.', 'project-huddle' ),
							'type'        => 'switch',
							'default'     => '',
						),
						'login_divider' => array(
							'type'        => 'divider',
						),
						'control_logo' => array(
							'label'       => __( 'Dark Logo', 'project-huddle' ),
							'description' => __( 'Logo seen in the control bar. This is a smaller logo that displays on a dark background.', 'project-huddle' ),
							'type'        => 'image',
							'default'     => '',
							'placeholder' => ''
						),
						'control_logo_retina' => array(
							'description' => __( 'This is a Retina (2x) Logo.', 'project-huddle' ),
							'type'        => 'switch',
							'default'     => '',
						),
					),
					'next_text' => __('Let\'s Go!', 'project-huddle' ),
					'save'      => __return_false() // define your own function
				),
				'updates' => array(
					'name' => 'Updates',
					'fields' => array(
						'license_key' => array(
							'label'       => __( 'License Key', 'project-huddle' ),
							'description' => __( 'Enter your license key to enable dashboard updates.', 'project-huddle' ),
							'type'        => 'text',
						),
					),
					'next_text' => 'Next',
					'save'      => __return_false() // define your own function
				),
				'install_pages' => array(
					'name' => 'Install Pages',
					'fields' => array(
						'license_key' => array(
							'label'       => __( 'License Key', 'project-huddle' ),
							'description' => __( 'Enter your license key to enable dashboard updates.', 'project-huddle' ),
							'type'        => 'text',
						),
					),
					'next_text' => 'Next',
					'save'      => __return_false() // define your own function
				)
			)
		) );
	}
}

new PH_Setup_Wizard();