<?php

/**
 * Deprecated Hooks
 * Please use new actions according to comments below
 */
class PH_Deprecated_Hooks {
	public function __construct() {

		// new thread
		add_action( "ph_mockup_rest_publish_thread", function($object){
			// get parents
			$parents = ph_get_parents_ids($object->ID);

			// get first comment
			$args = array(
				'number' => '1',
				'post_id' => $object->ID, // use post_id, not post_ID
			);
			$comments = ph_get_comments($args);

			if ( ! empty( $comments ) ) {
				$data = array(
					'comment_content' => $comments[0]->comment_content,
					'project_id'      => (int) $parents['project'],
					'image_id'        => (int) $parents['item'],
					'id'              => $object->ID,
				);

				do_action( 'ph_after_mockup_new_thread', $data );
			}
		}, 10);

		// new comment
		add_action( "ph_mockup_publish_comment", function ( $id, $comment ) {
			// get parents
			$parents = ph_get_parents_ids( $id, 'comment' );

			$data = array(
				'comment_author'  => $comment->comment_author,
				'comment_content' => $comment->comment_content,
				'comment_post_ID' => $comment->comment_post_ID,
				'id'              => $comment->comment_ID,
				'project_id'      => $parents['project']
			);

			do_action( 'ph_after_mockup_new_comment', $data );
		}, 10, 2 );

		// threads
		add_action( 'ph_mockup_new_thread', array( $this, 'deprecated_mockup_new_thread' ) );
		add_action( 'ph_after_mockup_new_thread', array( $this, 'deprecated_after_mockup_new_thread' ) );
		add_action( 'ph_mockup_edit_thread', array( $this, 'deprecated_mockup_edit_thread' ) );
		add_action( 'ph_mockup_after_edit_thread', array( $this, 'deprecated_after_mockup_edit_thread' ) );
		add_action( 'ph_mockup_delete_thread', array( $this, 'deprecated_mockup_delete_thread' ) );
		add_action( 'ph_mockup_after_delete_thread', array( $this, 'deprecated_after_mockup_delete_thread' ) );

		// comments
		add_action( 'ph_mockup_new_comment', array( $this, 'deprecated_mockup_new_comment' ) );
		add_action( 'ph_mockup_after_new_comment', array( $this, 'deprecated_after_mockup_new_comment' ) );
		add_action( 'ph_mockup_edit_comment', array( $this, 'deprecated_mockup_edit_comment' ) );
		add_action( 'ph_mockup_after_edit_comment', array( $this, 'deprecated_after_mockup_edit_comment' ) );
		add_action( 'ph_mockup_delete_comment', array( $this, 'deprecated_mockup_delete_comment' ) );
		add_action( 'ph_mockup_after_delete_comment', array( $this, 'deprecated_after_mockup_delete_comment' ) );
	}

	// new
	public function deprecated_mockup_new_comment( $data ) {
		$user = wp_get_current_user();
		do_action_deprecated( 'ph_insert_comment_before', array(
			$data,
			$data['project_id'],
			$data['image_id'],
			$user
		), '2.0', 'ph_mockup_new_comment' );
	}
	public function deprecated_after_mockup_new_comment( $data ) {
		$user = wp_get_current_user();
		do_action_deprecated( 'ph_insert_comment_after', array(
			$data['id'],
			$data,
			$data['image_id'],
			$user
		), '2.0', 'ph_mockup_new_comment' );
	}

	// edit
	public function deprecated_mockup_edit_comment( $data ) {
		do_action_deprecated( 'ph_update_comment_before', array( $data ), '2.0', 'ph_mockup_edit_comment' );
	}
	public function deprecated_after_mockup_edit_comment( $data ) {
		do_action_deprecated( 'ph_update_comment_after', array( $data ), '2.0', 'ph_mockup_after_edit_comment' );
	}

	// delete
	public function deprecated_mockup_delete_comment( $data ) {
		do_action_deprecated( 'ph_trash_comment_before', array( $data ), '2.0', 'ph_mockup_delete_comment' );
	}
	public function deprecated_after_mockup_delete_comment( $data ) {
		do_action_deprecated( 'ph_trash_comment_after', array( $data ), '2.0', 'ph_mockup_after_delete_comment' );
	}

	/**
	 * Threads
	 */

	// new
	public function deprecated_mockup_new_thread( $data ) {
		do_action_deprecated( 'ph_save_comment_location_before', array(
			$data
		), '2.0', 'ph_mockup_new_thread' );
	}
	public function deprecated_after_mockup_new_thread( $data ) {
		do_action_deprecated( 'ph_save_comment_location_after', array(
			$data,
			$data['project_id']
		), '2.0', 'ph_mockup_new_thread' );
	}

	// edit
	public function deprecated_mockup_edit_thread( $data ) {
		do_action_deprecated( 'ph_update_thread_before', array( $data ), '2.0', 'ph_mockup_edit_thread' );
	}
	public function deprecated_after_mockup_edit_thread( $data ) {
		do_action_deprecated( 'ph_update_thread_after', array( $data ), '2.0', 'ph_mockup_after_edit_thread' );
	}

	// delete
	public function deprecated_mockup_delete_thread( $data ) {
		do_action_deprecated( 'ph_trash_thread_before', array( $data ), '2.0', 'ph_mockup_delete_thread' );
	}
	public function deprecated_after_mockup_delete_thread( $data ) {
		do_action_deprecated( 'ph_trash_thread_after', array( $data ), '2.0', 'ph_mockup_after_delete_thread' );
	}
}

new PH_Deprecated_Hooks();