<?php
/**
 * Handle licenses for updates and activations
 *
 * @package     ProjectHuddle
 * @copyright   Copyright (c) 2015, Andre Gagnon
 * @since       1.0.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * Load Updater
 */
if ( ! class_exists( 'EDD_SL_Plugin_Updater' ) ) {
	include( PH_PLUGIN_DIR . 'includes/updates/EDD_SL_Plugin_Updater.php' );
}

/**
 * Get License Key
 */
$license_key = trim( get_option( 'ph_license_key' ) );

/**
 * setup the updater
 */
$edd_updater = new EDD_SL_Plugin_Updater( PH_SL_STORE_URL, PH_PLUGIN_FILE, array(
		'version' => PH_VERSION,        // current version number
		'license' => $license_key,    // license key from options
		'item_id' => PH_SL_ITEM_ID,
		'author'  => 'Project Huddle',
		'beta'    => get_option( 'ph_beta_version' ) == 'on' ? true : false
	)
);

/**
 * Whitelist PH server
 * Safe to do as of WP 3.7 or later
 *
 * @param $r
 * @param $url
 *
 * @return mixed
 */
function whitelist_ph_plugin_update_server( $r, $url ){
	$starts_with = 'https://projecthuddle.io/edd-sl/package_download/';
	// if the url starts with ^ then don't verify SSL
	if ( 0 === strpos( $url, $starts_with ) ){
		$r['sslverify'] = false;
	}
	return $r;
}
add_filter( 'http_request_args', 'whitelist_ph_plugin_update_server', 10, 2 );