<?php
/**
 * Template for the individual project image thumbnail
 *
 * @package     ProjectHuddle
 * @subpackage  app/templates
 * @copyright   Copyright (c) 2015, Andre Gagnon
 * @since       1.0
 */

global $post; ?>

<script type="text/template" id="tmpl-image-thumbnail">
    <# if ( data.version ) { #>
    <div class="ph-badge">
		<?php _e( 'New Version Pending', 'project-huddle' ); ?>
    </div>
    <# } #>
    <div class="ph-image" style="background-image: url({{{data.url}}});"></div>
</script>

<script type="text/template" id="tmpl-image-form-fields">
    <input type="hidden" name="ph-image-model[]" value='<# print(JSON.stringify(data.form_data)); #>'/>
	<?php do_action( 'ph_meta_box_image_hidden_fields', $post ); ?>
</script>

<!-- Image Thumb Template -->
<script type="text/template" id="tmpl-single-image">

    <div class="ph-form-fields"></div>

    <div class="ph-image-wrapper" <# if (data.options.background_color && data.options.background_color != 'false' ) { #>
    style="background: {{ data.options.background_color }}"
    <# } else {#>
    style="background: <?php echo esc_attr( get_option( 'ph_image_bg' ) ); ?>"
    <# } #>>

    <div class="ph-image"></div>

    <div class="ph-overlay"></div>

	<?php do_action( 'ph_meta_box_image_overlay', $post ); ?>

    <span class="ph-image-view ph-project-action">
			<# if ( data.link ) { #>
				<a href="{{ data.link }}">
					<?php _e( 'View Image', 'project-huddle' ); ?>
				</a>
			<# } #>
		</span>
    </div>

    <div class="ph-content-wrapper">
        <div class="ph-title"></div>

        <div class="ph-after-title"></div>

        <div class="ph-project-actions">

			<?php do_action( 'ph_meta_box_image_comment_count_before', $post ); ?>

            <span class="ph-comments-count ph-project-action">
				<span class="ph-icon ion-chatbubble"></span> {{ data.unresolved_count }}
			</span>

			<?php do_action( 'ph_meta_box_image_comment_count_after', $post ); ?>

            <span class="ph-project-actions-right">

				<span class="ph-settings-wrap">
					<span class="ph-settings-menu-wrap">
						<ul class="ph-settings-menu"></ul>
					</span>

					<span class="ph-project-action ph-settings-open">
						<span class="ph-icon ion-gear-b"></span>
					</span>
				</span>
			</span>

        </div>

    </div>

</script>
<!-- Image Thumb Template -->

<!-- Image Thumb Template -->
<script type="text/template" id="tmpl-image-title">
    <div class="ph-title-inner">
        <h3>
			<?php do_action( 'ph_meta_box_image_title_before', $post ); ?>

			<?php if ( 'off' != get_post_meta( $post->ID, 'ph_project_approval', true ) ) : ?>
                <# if ( data.approval ) { #>
                <i class="ph-icon ion-android-done ph-approval-indicator"></i>
                <# } #>
			<?php endif; ?>

            {{ data.title.rendered }}
			<?php do_action( 'ph_meta_box_image_title_after', $post ); ?>
        </h3>

        <i class="ph-icon ph-edit ion-android-create"></i>
    </div>

    <div class="ph-edit-textarea ph-hidden">
        <div class="ph-edit-content" contentEditable="true">{{ data.title.rendered }}</div>
        <button class="ph-button ph-edit-save button button-primary"><?php _e( 'Set Title', 'project-huddle' ); ?></button>
        <button class="ph-secondary-link ph-edit-cancel button"><?php _e( 'Cancel', 'project-huddle' ); ?></button>
    </div>
</script>

<script type="text/template" id="tmpl-resolve-comments">
    <# if ( data.version ) { #>
    <div class="ph-version-checkbox">
        <input type="checkbox" name="ph-resolve-comments" id="ph-resolve-comments" value="{{data.resolve}}"/>
        Resolve all conversations on save?
    </div>
    <# } #>
</script>