<?php
/**
 * The Modal window to display templates
 *
 * @package     ProjectHuddle
 * @copyright   Copyright (c) 2015, Andre Gagnon
 * @since       1.0
 */
?>

<!-- Underscore Template -->
<script type="text/html" id='tmpl-versions-modal'>
	<div class="backbone_modal">

		<div class="backbone_modal-content">
			<section class="backbone_modal-main" role="main">
				<button class="media-modal-close backbone_modal-close button-link" href="#">
					<span class="media-modal-icon">
						<span class="screen-reader-text">
							<?php echo __( 'Close', 'project-huddle' ); ?>
						</span>
					</span>
				</button>

				<div class="ph-versions-list">

					<h1>
						<?php _e( 'Versions', 'project-huddle' ); ?>
					</h1>

					<div class="ph-versions">
						<div class="spinner"></div>
					</div>

				</div>

				<div class="ph-version-display-wrap"></div>
			</section>
		</div>

	</div>
	<div class="backbone_modal-backdrop">&nbsp;</div>
</script>
<!-- Underscore Template -->

<script type="text/html" id='tmpl-versions-list-item'>
	<span class="ph-version-tag">
		v{{data.order}}
	</span>
	<span class="ph-version-date">
		{{data.date_formatted}}
		<span class="ph-restore">
			<i class="ph-icon ion-loop"></i> <?php _e( 'Restore', 'project-huddle' ); ?>
		</span>
	</span>
	<span class="ph-version-time">
		<?php _e( 'at', 'project-huddle' ); ?> {{data.time}}
	</span>
</script>

<script type="text/html" id='tmpl-versions-image'>
	<p>{{data.title.rendered}}</p> <# console.log(data); #>
	<div class="ph-version-display">
		<img class="ph-version-image" src="{{ data.url }}" />
	</div>
</script>