<?php
/**
 * The Template for displaying the website comment edit form
 *
 * This template can be overridden by copying it to yourtheme/project-huddle/comment/comment-edit-form.tmpl.php.
 *
 * HOWEVER, on occasion ProjectHuddle will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.projecthuddle.io/article/15-overriding-templates-via-a-theme
 * @author 		Projecthuddle
 * @package 	ProjectHuddle/Templates
 * @version     2.7.6
 */
?>

<script type="text/html" id="tmpl-edit-comment-form">
    <?php do_action( 'ph_before_website_comment_edit_form', get_the_ID() ); ?>

    <div class="ph-edit-content">
        <# if ( data.content.rendered ) { #>
            {{{ data.content.rendered }}}
        <# } else { #>
            {{{ data.content }}}
        <# } #>
    </div>

    <?php do_action( 'ph_before_website_comment_edit_buttons', get_the_ID() ); ?>

    <button class="ph-button ph-edit-save"><?php _e( 'Save', 'project-huddle' ); ?></button>

    <button class="ph-secondary-link ph-edit-cancel"><?php _e( 'Cancel', 'project-huddle' ); ?></button>

    <?php do_action( 'ph_after_website_comment_edit_form', get_the_ID() ); ?>
</script>