<?php
/**
 * Template for the login dialog popup
 *
 * @package     ProjectHuddle
 * @copyright   Copyright (c) 2015, Andre Gagnon
 * @since       1.0
 */
?>

<script type="text/template" id='tmpl-ph-popup-login'>
    <div class="ph-popup-container">
        <div class="ph-popup">
            <div class="ph-dialog-message">
				<?php _e('Please Login', 'projecthuddle'); ?>
            </div>

            <?php do_action( 'ph_login_before', get_the_ID() ); ?>

            <?php
            wp_login_form( array(
	            'remember'       => false,
            ) );
            ?>

            <?php do_action( 'ph_login_after', get_the_ID() ); ?>

            <span class="ph-dialog-reset ph-tertiary-link">
                <?php _e('Forgot your password?', 'project-huddle'); ?>
            </span>

            <div class="ph-close ph-close-icon">
                <svg viewBox="0 0 512 512" width="35" height="35">
                    <path class="amfst0" d="M340.2 160l-84.4 84.3-84-83.9-11.8 11.8 84 83.8-84 83.9 11.8 11.7 84-83.8 84.4 84.2 11.8-11.7-84.4-84.3 84.4-84.2z"></path>
                </svg>
            </div>

            <div class="ph-loading-image light"><div class="ph-loading-image-dots"></div></div>

            <div class="ph-success-message">
                <div class="ph-success-message-text">
                    <strong><?php _e('Thank you!', 'project-huddle'); ?></strong><br>
					<?php _e('You have been successfully logged in.', 'project-huddle'); ?>
                </div>
            </div>
        </div>
    </div>
</script>