<?php
/**
 * Template for the share dialog popup
 *
 * @package     ProjectHuddle
 * @copyright   Copyright (c) 2015, Andre Gagnon
 * @since       1.0
 */
?>

<!-- Share Dialog Template -->
<script type="text/template" id="tmpl-dialog-share">
	<form class="vex-dialog-form">

		<div class="vex-dialog-message">
			<?php echo apply_filters( 'ph_share_dialog_message', __('Send an invitation to collaborate.', 'project-huddle') ); ?>
		</div>

		<div class="vex-dialog-input">

			<?php do_action( 'ph_before_share_dialog_inputs' ); ?>

			<label for="address"><?php _e( 'To', 'project-huddle' ); ?></label>
			<input name="address" id="address" type="email" placeholder="<?php _e( 'Email', 'project-huddle' ); ?>" required autofocus/>

			<label for="subject"><?php _e( 'Subject', 'project-huddle' ); ?></label>
			<input name="subject" id="subject" type="text" value="<?php _e( 'Invitation To Collaborate', 'project-huddle' ); ?>" required/>

			<label for="message"><?php _e( 'Message', 'project-huddle' ); ?></label>
			<textarea name="message" id="message" class="ph-share-message" rows="3" required>
<?php _e( 'I\'d like to invite you to collaborate on a project.', 'project-huddle' ); ?></textarea>

			<?php // honeypot - don't remove ?>
			<input id="ph-website" name="website" type="text" value=""  />

			<div class="ph-share-signature">

				<div class="ph-share-signature-link">
					<i class="ph-icon ion-link"></i> {{ data.link }}
				</div>
			</div>

			<?php do_action('ph_after_share_dialog_inputs'); ?>

		</div>

		<div class="vex-dialog-buttons">

			<?php do_action('ph_before_share_dialog_buttons'); ?>

			<button type="submit" class="vex-dialog-button-primary vex-dialog-button vex-first ph-dialog-submit">
				<i class="ph-icon ion-paper-airplane"></i> <?php _e( 'Send', 'project-huddle' ); ?>
			</button>
			<button type="button" class="vex-dialog-button-secondary vex-dialog-button ph-dialog-cancel">
				<?php _e( 'Cancel', 'project-huddle' ); ?>
			</button>

			<?php do_action('ph_after_share_dialog_buttons'); ?>
		</div>

	</form>
</script>
<!-- Share Dialog Template -->
