<!-- Control Bar Template -->
<script type="text/template" id="tmpl-control-bar">
	<div class="ph-control-upper">
		<?php
			// @hooked projecthuddle_before_logo
			do_action( 'projecthuddle_before_logo' );
		?>

		<div id="logo">
			<?php if ( $logo = apply_filters( 'ph_control_logo_id', get_option( 'ph_control_logo' ) ) ) : ?>

				<?php
					// get logo image
					$logo_image = wp_get_attachment_image_src( $logo, 'full' );

					// check retina option
					if ( apply_filters( 'ph_control_logo_retina', get_option( 'ph_control_logo_retina' ) ) ) :
						$logo_image[1] = $logo_image[1] / 2;
						$logo_image[2] = $logo_image[2] / 2;
					endif;
				?>

				<a href="<?php echo apply_filters( 'ph_mockup_logo_url', home_url() ); ?>">
					<img src="<?php echo esc_url( $logo_image[0] ); ?>" width="<?php echo (float) $logo_image[1]; ?>" height="<?php echo (float) $logo_image[2]; ?>" />
				</a>

			<?php else : ?>

				<?php ph_the_title(); ?>

			<?php endif; ?>
		</div>

		<?php
			// @hooked projecthuddle_after_logo
			do_action( 'projecthuddle_after_logo' );
		?>

		<div class="controls">
            <span class="project-nav-controls"></span>
            <button class="mobile-more">
                <i class="ph-icon ion-more mobile-more"></i>
            </button>
            <span class="project-controls"></span>
        </div>

		<?php
			// @hooked projecthuddle_after_controls
			do_action( 'projecthuddle_after_controls' );
		?>
	</div>

	<div id="ph-image-tray-wrap"></div>

	<?php
		// @hooked projecthuddle_after_controls
		do_action( 'projecthuddle_after_control_thumbs' );
	?>
</script>
<!-- Control Bar Template -->

<script type="text/template" id="tmpl-image-tray">
	<?php do_action( 'ph_image_tray_before' ); ?>

    <div class="ph-filter"></div>

    <div id="ph-thumb-nav-inner" class="ph-scrollbar scrollbar-outer"></div>

	<?php do_action( 'ph_image_tray_thumb_nav_after' ); ?>

    <div class="thumb-nav-controls"></div>

	<?php do_action( 'ph_image_tray_after' ); ?>
</script>

<script type="text/template" id="tmpl-image-tray-controls">
    {{ data.imageCount }} <?php _e( 'Images', 'project-huddle' ); ?>
    <button class="ph-close ph-toggle-nav">
        <i class="ion-close-round"></i>
    </button>
</script>