<?php
/**
 * The Template for displaying the controls
 *
 * Override this template by copying it to your theme or child theme
 *
 * @package     ProjectHuddle
 * @subpackage  templates
 * @copyright   Copyright (c) 2015, Andre Gagnon
 * @since       1.0
 */
?>

<?php global $post; ?>
<?php
$display_dropdown = false;
if ( is_user_logged_in() && current_user_can('edit_ph-project', $post->ID) ) {
    $display_dropdown = true;
}
if ( 'off' !== get_post_meta($post->ID, 'project_sharing', true) || 'off' !== get_post_meta($post->ID, 'project_download', true)) {
	$display_dropdown = true;
}
?>

<!-- Versions Icon -->
<script type="text/template" id="tmpl-versions-button">
    <button class="ph-toggle-nav nav-trigger" data-mode="bottom" data-tip="<?php _e('Image Versions', 'project-huddle'); ?>">
        <i class="ph-icon ion-social-buffer"></i>
    </button>
</script>
<!-- Versions Icon -->

<!-- Comments Button -->
<script type="text/template" id="tmpl-comments-button">
    <button class="ph-toggle-comments-panel ph-comments-button" data-mode="bottom" data-tip="<?php _e('Comments', 'project-huddle'); ?>">
        <i class="ph-icon">
            <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-message-square">
                <path d="M21 15a2 2 0 0 1-2 2H7l-4 4V5a2 2 0 0 1 2-2h14a2 2 0 0 1 2 2z"></path>
            </svg>
        </i>
        <# if ( data.thread_count ) { #>
            <span class="ph-count">{{ data.thread_count }}</span>
        <# } #>
    </button>
</script>
<!-- Comments Button -->

<!-- Images Button -->
<script type="text/template" id="tmpl-images-button">
    <button class="ph-toggle-nav nav-trigger" data-mode="bottom" data-tip="<?php _e('Project Images', 'project-huddle'); ?>">
        <i class="ph-icon">
            <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-grid">
                <rect x="3" y="3" width="7" height="7"></rect><rect x="14" y="3" width="7" height="7"></rect>
                <rect x="14" y="14" width="7" height="7"></rect><rect x="3" y="14" width="7" height="7"></rect>
            </svg>
        </i>
    </button>
</script>
<!-- Images Button -->

<script type="text/template" id="tmpl-settings-dropdown">
	<?php do_action('ph_before_control_settings', $post); ?>

	<?php if ($display_dropdown) : ?>
        <span class="ph-settings ph-control ph-dropdown hover-trigger">

			<span class="ph-select-text">
				<i class="ph-icon">
                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-sliders"><line x1="4" y1="21" x2="4" y2="14"></line><line x1="4" y1="10" x2="4" y2="3"></line><line x1="12" y1="21" x2="12" y2="12"></line><line x1="12" y1="8" x2="12" y2="3"></line><line x1="20" y1="21" x2="20" y2="16"></line><line x1="20" y1="12" x2="20" y2="3"></line><line x1="1" y1="14" x2="7" y2="14"></line><line x1="9" y1="8" x2="15" y2="8"></line><line x1="17" y1="16" x2="23" y2="16"></line></svg>
                </i>
			</span>

			<span class="ph-select-dropdown ph-right-align ph-hidden">
				<span class="ph-select-content"></span>
			</span>
		</span>
	<?php endif; ?>
</script>

<script type="text/template" id="tmpl-edit-project-link">
    <a class="ph-select-row ph-name" href="<?php echo esc_url( admin_url( sprintf( get_post_type_object( 'ph-website' )->_edit_link . '&action=edit', get_the_ID() ) ) ); ?>">
        <i class="ph-icon">
            <svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-edit"><path d="M20 14.66V20a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2V6a2 2 0 0 1 2-2h5.34"></path><polygon points="18 2 22 6 12 16 8 16 8 12 18 2"></polygon></svg>
        </i>
        <span class="ph-control-text">
		    <?php _e( 'Edit Project', 'project-huddle' ); ?>
		</span>
    </a>
</script>

<script type="text/template" id="tmpl-download-link">
	<?php if ('on' == get_post_meta($post->ID, 'project_download', true)) : ?>
        <# if ( typeof data.url != 'undefined' ) { #>
        <a class="ph-select-row"
           href="<?php echo apply_filters('ph_mockup_download_link', '{{ data.url }}', $post); ?>"
           download="<?php echo apply_filters('ph_mockup_download_link', '{{ data.url }}', $post); ?>"
           target="_blank">
            <i class="ph-icon">
                <svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-download"><path d="M21 15v4a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-4"></path><polyline points="7 10 12 15 17 10"></polyline><line x1="12" y1="15" x2="12" y2="3"></line></svg>
            </i>
            <span class="ph-control-text">
			    <?php echo apply_filters('ph_mockup_download_text', __('Download Image', 'project-huddle')); ?>
            </span>
        </a>
        <# } #>
	<?php endif; ?>
</script>

<script type="text/template" id="tmpl-share-link">
	<?php if ( 'off' != get_post_meta( $post->ID, 'project_sharing', true ) ) : ?>
        <span class="ph-select-row ph-share-trigger">
            <i class="ph-icon">
                <svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-send"><line x1="22" y1="2" x2="11" y2="13"></line><polygon points="22 2 15 22 11 13 2 9 22 2"></polygon></svg>
            </i>
            <span class="ph-control-text">
                <?php _e( 'Share Project', 'project-huddle' ); ?>
            </span>
		</span>
	<?php endif; ?>
</script>

<script type="text/template" id="tmpl-login-avatar">
    <# if (data.avatar_urls && data.avatar_urls[96]) { #>
        <img src="{{{ data.avatar_urls[96] }}}" class="avatar" />
    <# } else { #>
        <span class="ph-login" data-mode="bottom" data-tip="<?php _e('Login', 'project-huddle'); ?>">
            <i class="ph-icon ion-person"></i>
        </span>
    <# } #>
</script>

<script type="text/template" id="tmpl-login-dropdown">
    <# if (data.id) {  #>
        <span class="ph-select-content">
            <span class="ph-name ph-select-row">
                <h2>{{ data.name }}</h2>
                <p>{{ data.email }}</p>
            </span>

            <a class="ph-profile ph-select-row" href="<?php echo esc_url( admin_url( 'profile.php' ) ); ?>">
                <i class="ph-icon">
                    <svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-user"><path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path><circle cx="12" cy="7" r="4"></circle></svg>
                </i>
                <?php _e( 'Profile', 'project-huddle' ); ?>
            </a>

            <a class="ph-action ph-logout ph-select-row" href="<?php echo wp_logout_url( get_permalink() ); ?>">
                <i class="ph-icon">
                    <svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-log-out"><path d="M9 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h4"></path><polyline points="16 17 21 12 16 7"></polyline><line x1="21" y1="12" x2="9" y2="12"></line></svg>
                </i>
                <?php _e( 'Logout', 'project-huddle' ); ?>
            </a>
        </span>
    <# } #>
</script>

<script type="text/template" id="tmpl-prev-next-buttons">
    <!-- Previous Button -->
    <a href="#" class="ph-prev-trigger ph-prev-button ph-control-button">
        <i class="ph-icon">
            <svg xmlns="http://www.w3.org/2000/svg" width="11" height="11" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevron-left"><polyline points="15 18 9 12 15 6"></polyline></svg>
        </i>
        <span class="button-text"><?php _e('Previous', 'project-huddle'); ?></span>
    </a>
    <!-- Previous Button -->

    <!-- Next Button -->
    <a href="#" class="ph-next-trigger ph-next-button ph-control-button">
        <span class="button-text"><?php _e('Next', 'project-huddle'); ?></span>
        <i class="ph-icon">
            <svg xmlns="http://www.w3.org/2000/svg" width="11" height="11" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevron-right"><polyline points="9 18 15 12 9 6"></polyline></svg>
        </i>
    </a>
    <!-- Next Button -->
</script>