<?php
/**
 * The Template for displaying the image thumb
 *
 * Override this template by copying it to your theme or child theme
 *
 * @package     ProjectHuddle
 * @subpackage  templates
 * @copyright   Copyright (c) 2015, Andre Gagnon
 * @since       1.0
 */
?>

<!-- Image Thumb Template -->
<script type="text/template" id="tmpl-image-thumb">
	<span class="ph-nav-thumb" style="background-image: url({{{data.url}}});">

		<span class="ph-thumb-details">
			<span class="ph-thumb-detail ph-thumb-comment">
				<i class="ph-icon">
                    <svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-message-circle"><path d="M21 11.5a8.38 8.38 0 0 1-.9 3.8 8.5 8.5 0 0 1-7.6 4.7 8.38 8.38 0 0 1-3.8-.9L3 21l1.9-5.7a8.38 8.38 0 0 1-.9-3.8 8.5 8.5 0 0 1 4.7-7.6 8.38 8.38 0 0 1 3.8-.9h.5a8.48 8.48 0 0 1 8 8v.5z"></path></svg>
                </i> {{ data.threads.length }}
			</span>

			<span class="ph-thumb-detail ph-thumb-date">
				<i class="ph-icon">
                    <svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-clock"><circle cx="12" cy="12" r="10"></circle><polyline points="12 6 12 12 16 14"></polyline></svg>
                </i> {{ data.humanDate }}
			</span>
		</span>

	</span>

	<span class="ph-thumb-title">
		<?php do_action( 'ph_image_thumb_title_before' ); ?>

		<?php if ( 'off' != get_post_meta( get_the_ID(), 'ph_project_approval', true ) ) : ?>
            <# if ( data.approval ) { #>
                <i class="ph-icon ion-android-done ph-approval-indicator"></i>
            <# } #>
		<?php endif; ?>

		<span class="ph-thumb-name">
			{{ data.title.rendered }}
		</span>

		<?php do_action( 'ph_image_thumb_title_after' ); ?>
	</span>
</script>
<!-- Image Thumb Template -->