<?php
/**
 * The Template for displaying the panel show comments for the image
 *
 * This template can be overridden by copying it to yourtheme/project-huddle/panel/comment-panel-item.tmpl.php.
 *
 * HOWEVER, on occasion ProjectHuddle will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see           https://docs.projecthuddle.io/article/15-overriding-templates-via-a-theme
 * @author        Projecthuddle
 * @package       ProjectHuddle/Templates
 * @version       3.0.0
 */
?>

<script type="text/html" id='tmpl-panel-item'>
    <span class="ph-comment-panel-item <# if (data.resolved) { #> ph-approved<# } #>">
	<# if ( data.comments.first() ) { #>
	<div class="ph-comment-avatar">
		<img src="{{{ data.comments.first().get('author_avatar_urls')[96] }}}" class="avatar"/>
	</div>
	<# } #>
	<div class="ph-comment-order">{{ Number(data.order) + 1 }}</div>
	<div class="ph-comment-content">
		<div class="ph-comment-item-author">
			{{ data.author_name }}
		</div>
		<div class="ph-comment-item-date">
			{{ data.humanDate }}
		</div>
		<div class="ph-comment-count">
			{{ data.comments_count - 1 }}
		</div>

		<div class="ph-comment-item-content">
			<# if ( data.content && data.content.rendered )  { #>
			{{{ data.content.rendered }}}
			<# } #>
		</div>
	</div>
	</span>
</script>