<?php
/**
 * Redirects to actual website comment on single page view
 *
 * Sets a cookie
 */
global $post;

// use a session
PH()->session->set( 'ph_comment_id', (int) $post->ID );

// get image url from thread
$image_id  = get_post_meta( $post->ID, 'parent_id', true );
$image_url = get_the_permalink( $image_id );

// get project url from image
$project_id  = get_post_meta( $image_id, 'parent_id', true );

// make sure we have a website url
if ( $image_url ) {
	// make sure we have a website url
	$access = ph_user_validate_access( $project_id );

	if ( is_wp_error( $access ) ) {
		if ( 'not_logged_in' === $access->get_error_code() || 'token_incorrect_missing' === $access->get_error_code() ) {
			ph_get_template_part( 'content', 'login' );
			exit;
		} else if ( $access->get_error_code() == 'enter_password' ){
			ph_get_template_part( 'content', 'password' );
			exit;
		} else {
			wp_die( $access->get_error_message() );
		}
	}

	if ( $access ) {
		header( "X-Robots-Tag: noindex, nofollow", true );
		wp_redirect( esc_url( $image_url ) );
	}
} else {
	?>
    <html>
    <head>
        <!-- make sure it's not indexed -->
        <meta name="robots" content="noindex, nofollow">
    </head>
    <body></body>
    </html>
<?php } ?>
