<?php
/**
 * The Template for displaying all single projects.
 *
 * Override this template by copying it to your theme or child theme
 *
 * @package     ProjectHuddle
 * @subpackage  templates
 * @copyright   Copyright (c) 2015, Andre Gagnon
 * @since       1.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

// make sure we have a website url
$access = ph_user_validate_access();

if ( is_wp_error( $access ) ) {
	if ( 'not_logged_in' === $access->get_error_code() || 'token_incorrect_missing' === $access->get_error_code() ) {
		ph_get_template_part( 'content', 'login' );
		exit;
	} else if ( $access->get_error_code() == 'enter_password' ){
		ph_get_template_part( 'content', 'password' );
		exit;
	} else {
		wp_die( $access->get_error_message() );
	}
}

if ( $access ) {
	// get custom header
	ph_get_template_part( 'header', 'project' );

	// @hooked ph_before_single_project
	do_action( 'ph_before_single_project' );

	// get main content
	ph_get_template_part( 'content', 'project' );

	// @hooked ph_after_single_project
	do_action( 'ph_after_single_project' );

	// get custom footer
	ph_get_template_part( 'footer', 'project' ); // get footer
}