<?php
/**
 * The Template for displaying the website thread bubble container
 *
 * This template can be overridden by copying it to yourtheme/project-huddle/thread/thread-bubble.tmpl.php.
 *
 * HOWEVER, on occasion ProjectHuddle will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.projecthuddle.io/article/15-overriding-templates-via-a-theme
 * @author 		Projecthuddle
 * @package 	ProjectHuddle/Templates
 * @version     2.7.6
 */
?>

<script type="text/html" id='tmpl-ph-comment-bubble-css'>
    <?php
    /**
     * Output comment thread css
     * @hooked ph_website_thread_css - 10
     * @hooked ph_website_output_style_options - 20
     */
    do_action( 'ph_website_thread_css', get_the_ID() ); ?>
</script>

<script type="text/template" id="tmpl-ph-comment-bubble">
    <?php do_action( 'ph_before_website_thread_content', get_the_ID() ); ?>

    <div class="ph-comment-content">
        <?php
        /**
         * Output comment content html
         * @hooked ph_website_thread_header - 10
	     * @hooked ph_website_thread_text - 20
	     * @hooked ph_website_thread_form - 30
	     * @hooked ph_website_thread_submit - 40
	     */
        do_action( 'ph_thread_content', get_the_ID() ); ?>
    </div>

    <?php do_action( 'ph_after_website_thread_content', get_the_ID() ); ?>
</script>