<?php
/**
 * The Template for displaying the website thread resolve checkbox
 *
 * This template can be overridden by copying it to yourtheme/project-huddle/thread/thread-resolve.tmpl.php.
 *
 * HOWEVER, on occasion ProjectHuddle will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.projecthuddle.io/article/15-overriding-templates-via-a-theme
 * @author 		Projecthuddle
 * @package 	ProjectHuddle/Templates
 * @version     2.7.6
 */
?>

<script type="text/template" id="tmpl-ph-resolve-check">
    <i class="ph-icon loading"></i>

    <# if (!data.resolved || data.resolved == 'false') { #>
        <i class="ph-icon checkbox checkbox-empty">
            <svg xmlns="http://www.w3.org/2000/svg" width="15" height="15" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-square"><rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect></svg>
        </i>

        <?php _e('Resolve', 'project-huddle'); ?>
    <# } else { #>
        <i class="ph-icon checkbox checkbox-checked ph-approved">
            <svg xmlns="http://www.w3.org/2000/svg" width="15" height="15" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-check-square"><polyline points="9 11 12 14 22 4"></polyline><path d="M21 12v7a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h11"></path></svg>
        </i>

        <?php _e('Resolved', 'project-huddle'); ?>
    <# } #>
</script>