<?php
/**
 * Uninstall ProjectHuddle
 *
 * Deletes all the plugin data if option is selected
 *
 * @package     ProjectHuddle
 * @subpackage  Uninstall
 * @copyright   Copyright (c) 2016, Andre Gagnon
 * @license     http://opensource.org/licenses/gpl-2.0.php GNU Public License
 * @since       1.2.1
 */

// Exit if accessed directly.
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) exit;

// Load project-huddle.php file
include_once( 'project-huddle.php' );

global $wpdb, $wp_roles;

if( get_option( 'ph_uninstall_on_delete' ) ) {
	/** Delete Capabilities */
	PH()->roles->remove_caps();

	/** Delete the Roles */
	$ph_roles = array( 'project_admin', 'project_editor', 'project_collaborator', 'project_client' );
	foreach ( $ph_roles as $role ) {
		remove_role( $role );
	}
}